PrivateKeyAlgorithm Class Referenceabstract

Interface for asymmetric algorithms using private keys. More...

`#include <cryptlib.h>`

Inheritance diagram for PrivateKeyAlgorithm:

## Public Member Functions

CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to a Private Key.
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to a Private Key.
virtual PrivateKey & | AccessPrivateKey ()=0
| Retrieves a reference to a Private Key.
virtual const PrivateKey & | GetPrivateKey () const
| Retrieves a reference to a Private Key.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object.

## Detailed Description

Interface for asymmetric algorithms using private keys.

Definition at line 2621 of file cryptlib.h.

## Constructor & Destructor Documentation

## ~PrivateKeyAlgorithm()

virtual PrivateKeyAlgorithm::~PrivateKeyAlgorithm | ( |  | ) |

inline virtual

Definition at line 2624 of file cryptlib.h.

## Member Function Documentation

## AccessMaterial()

CryptoMaterial & PrivateKeyAlgorithm::AccessMaterial | ( |  | ) |

inline virtual

Retrieves a reference to a Private Key.

Returns
  a reference the private key

Implements AsymmetricAlgorithm.

Definition at line 2628 of file cryptlib.h.

## GetMaterial()

const CryptoMaterial & PrivateKeyAlgorithm::GetMaterial | ( |  | ) | const

inline virtual

Retrieves a reference to a Private Key.

Returns
  a const reference the private key

Implements AsymmetricAlgorithm.

Definition at line 2631 of file cryptlib.h.

## AccessPrivateKey()

virtual PrivateKey & PrivateKeyAlgorithm::AccessPrivateKey | ( |  | ) |

pure virtual

Retrieves a reference to a Private Key.

Returns
  a reference the private key

Implemented in ed25519Signer.

## GetPrivateKey()

virtual const PrivateKey & PrivateKeyAlgorithm::GetPrivateKey | ( |  | ) | const

inline virtual

Retrieves a reference to a Private Key.

Returns
  a const reference the private key

Reimplemented in ed25519Signer.

Definition at line 2638 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h